Subject: Re: bug#66317: Project mode-line

From: Juri Linkov <[email-masked]>
Date: Fri, 06 Oct 2023 09:46:06 +0300

> One interesting bug: project-switch-project causes the modeline project
> name to change for all buffers.
>
> For example if I do:
>
> C-x p p emacs-29 RET f
>
> then while I'm at the find-file prompt, all modelines for all buffers
> show emacs-29 as the current project, no matter what they showed before
> (even if they didn't show anything before)
>
> Haven't thought at all about how to fix this, but we might want to think
> about it in the context of bug#63648 where we've been rethinking the
> implementation of project-switch-project.

I don't see this bug because I'm using other-project-prefix from bug#63648 ;-)